AI agents: this site is available as Markdown at /llms.txt. Each page has a Markdown version at its URL with a .md suffix, and the full API is described in /api/v3/openapi.json.

Create bulk bill payment

This document shows you how to create bulk bills payment

Last updated 13 September 2026

post

https://api.flutterwave.com/v3/bulk-bills

authorization string required

Pass your secret key as a bearer token in the request header to authorize this call

FILL IN ALL REQUIRED FIELDS

bulk_reference string required
This is a reference that identifies the batch request being made for bulk requests

callback_url string required
This is an endpoint supplied by you the developer/merchant so we can send a response when each request in the bulk is completed

bulk_data array of objects required
This is an array containing each individual requests in the batch.

FILL IN ALL REQUIRED FIELDS

bank_code string required
This is the recipients bank code

account_number string required
This is the recipient account number

amount int 32 required
This is the amount for the service you would like to buy.

currency string required
This is the debit currency for the transfer. It can be NGN, GHS, KES, UGX, TZS, or USD

narration string
This is the narration for the transfer e.g. payments for x services provided

reference string
This is a merchant's unique reference for the transfer, it can be used to query for the status of the transfer

meta object
This is an object you can use to add any additional payment information you would like to associate with this transfer. Note that this object is REQUIRED for ZAR payouts.

FILL IN ALL REQUIRED FIELDS

first_name string
This is the first name of the transfer recipient

last_name string
This is the last name of the transfer recipient

email string required
This is the email address of the transfer recipient

mobile_number string required
This is the mobile number of the recipient. If the recipient's email address is passed, this becomes an optional parameter.

recipient_address string required
This is the address of the transfer recipient.

sender string required
This is the senders first and last name

sender_country string required
This is the senders country

FILL IN ALL REQUIRED FIELDS

status string

message string

data object

FILL IN ALL REQUIRED FIELDS

batch_reference string

Shell

1
1


FL.AI

Answers from the Flutterwave docs

Hi, I’m FL.AI

Ask anything about Flutterwave’s APIs, guides and coverage.

FL.AI can make mistakes. Check important details in the docs.

Get API Keys